Get specific procurement reports
curl --request GET \
--url https://api-ezyconnect.ezytail.com/procurements/{uniqueProcurementID}/reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-ezyconnect.ezytail.com/procurements/{uniqueProcurementID}/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-ezyconnect.ezytail.com/procurements/{uniqueProcurementID}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"activityCode": "<string>",
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"receptionUniqueID": "<string>",
"supplierCode": "<string>",
"receptionStatus": "<string>",
"ezytailReceptionUniqueID": "<string>",
"receptionProcessingNumber": "<string>",
"carrierDeliveryBLNumber": "<string>",
"blIssuanceDate": "2023-11-07T05:31:56Z",
"actualReceptionDate": "2023-11-07T05:31:56Z",
"rMotifRec": "<string>",
"rTypeRec": "<string>",
"dateProcessed": "2023-11-07T05:31:56Z",
"entries": [
{
"id": 123,
"activityCode": "<string>",
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"orderLineID": "<string>",
"articleReference": "<string>",
"receivedQuantity": 123,
"theoreticalRemainingQuantity": 123,
"supplierBLQuantity": 123,
"ezytailReceptionUniqueID": "<string>",
"details": [
{
"id": 123,
"activityCode": "<string>",
"dateCreation": "2023-11-07T05:31:56Z",
"dateLastUpdate": "2023-11-07T05:31:56Z",
"ownerCode": "<string>",
"receivedQuantity": 123,
"receivedLotNumber": "<string>",
"articleReceivedDate": "2023-11-07T05:31:56Z",
"serialNumber": "<string>",
"orderLineID": "<string>",
"ezytailReceptionUniqueID": "<string>"
}
]
}
]
}
]{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Procurement
Get specific procurement reports
Fetch all order reports attached to a procurement
GET
/
procurements
/
{uniqueProcurementID}
/
reports
Get specific procurement reports
Authorizations
JWT Authorization header using the Bearer scheme. \r\n\r\n Enter 'Bearer' [space] and then your token in the text input below. \r\n\r\nExample: 'Bearer 12345abcdef'
Path Parameters
Response
OK
Code de l'activité
Maximum string length:
3Identifiant unique de la réception
Maximum string length:
20Code fournisseur
Maximum string length:
13Etat de la réception
Maximum string length:
1Identifiant unique de la réception chez EZYTAIL
Maximum string length:
25N° de traitement des réceptions
Maximum string length:
3N° du BL fourni par le transporteur a la livraison
Maximum string length:
10Date d'émission du BL
Date de réception effective
Show child attributes
Show child attributes

